package com.palmnest.application.dto.output;

import java.io.Serializable;

public class UserDataByTokenDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7561538566549222277L;

	private String organizationId;// 项目Id 超级前台的
	private String organizationName;// 项目名称 会议室前端显示
	private String mettingClient;// 会议室客户编码
	private String openId;
	private String userId;
	private String userName;
	private String mobile;
	private String role;
	private String errorcode;
	private String errorMsg;
	private String tokenType;
	// 微信用户信息
	private String headimgUrl;
	private String companyId;// 微信用户对应公司ID 多个企业 virId;virId;virId
								// 这应该是企业负责人对应的公司后面可考虑加一个openid对应公司id
	private String virAccountId;// 项目账号ID
	private Integer isCompanyHead;// 是否企业负责人
	private Integer isBingCompany;// 是否绑定公司
	private String companyName;// 公司名称
	private String hostUrl;// 域名地址

	private String virLoginUrl;// 企业账号登录地址
	
	
	private String newUserId;//java版本会议室用来存userId

	public UserDataByTokenDto() {
		this.errorcode = "";
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getHeadimgUrl() {
		return headimgUrl;
	}

	public void setHeadimgUrl(String headimgUrl) {
		this.headimgUrl = headimgUrl;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Integer getIsCompanyHead() {
		return isCompanyHead;
	}

	public void setIsCompanyHead(Integer isCompanyHead) {
		this.isCompanyHead = isCompanyHead;
	}

	public String getErrorcode() {
		return errorcode;
	}

	public void setErrorcode(String errorcode) {
		this.errorcode = errorcode;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	public String getTokenType() {
		return tokenType;
	}

	public void setTokenType(String tokenType) {
		this.tokenType = tokenType;
	}

	public Integer getIsBingCompany() {
		return isBingCompany;
	}

	public void setIsBingCompany(Integer isBingCompany) {
		this.isBingCompany = isBingCompany;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getHostUrl() {
		return hostUrl;
	}

	public void setHostUrl(String hostUrl) {
		this.hostUrl = hostUrl;
	}

	public String getVirLoginUrl() {
		return virLoginUrl;
	}

	public void setVirLoginUrl(String virLoginUrl) {
		this.virLoginUrl = virLoginUrl;
	}

	public String getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(String organizationId) {
		this.organizationId = organizationId;
	}

	public String getMettingclient() {
		return mettingClient;
	}

	public void setMettingclient(String mettingclient) {
		this.mettingClient = mettingclient;
	}

	public String getMettingClient() {
		return mettingClient;
	}

	public void setMettingClient(String mettingClient) {
		this.mettingClient = mettingClient;
	}

	public String getVirAccountId() {
		return virAccountId;
	}

	public void setVirAccountId(String virAccountId) {
		this.virAccountId = virAccountId;
	}

	public String getOrganizationName() {
		return organizationName;
	}

	public void setOrganizationName(String organizationName) {
		this.organizationName = organizationName;
	}

	public String getNewUserId() {
		return newUserId;
	}

	public void setNewUserId(String newUserId) {
		this.newUserId = newUserId;
	}

	
}
